Page MenuHomePhabricator

Prepare to deploy content service to SCA
Closed, ResolvedPublic

Description

Outcome: we have something deployed to production and a url to hit

Steps to follow are in https://github.com/wikimedia/service-template-node/blob/master/doc/deployment.md

  • Install Docker on VM
  • Test configuration
  • Update submodule
  • Send ticket for SCA deployment

See also https://www.mediawiki.org/wiki/RESTBase_services_for_apps#Deployment_on_Production_cluster and https://www.mediawiki.org/wiki/RESTBase_services_for_apps/Ubuntu_setup_notes.

Event Timeline

bearND created this task.Jun 19 2015, 5:33 PM
bearND updated the task description. (Show Details)
bearND raised the priority of this task from to Needs Triage.
bearND moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2015, 5:33 PM
KLans_WMF updated the task description. (Show Details)Jun 19 2015, 5:48 PM
KLans_WMF set Security to None.
  • Install Boot2Docker
  • Update submodule
  • Send ticket for SCA deployment
bearND moved this task from Incoming to Doing on the Mobile-Content-Service board.Jun 22 2015, 4:43 PM
bearND claimed this task.Jun 22 2015, 5:23 PM
bearND updated the task description. (Show Details)Jun 23 2015, 5:52 PM
bearND added a subscriber: mobrovac.
bearND updated the task description. (Show Details)Jul 1 2015, 7:53 PM

@bearND do you have a production URL now?

@bearND do you have a production URL now?

@Fjalapeno the requests are going to be proxied through RESTBase, so its URL is going to be the production URL, cf. T102130: Enable RESTBase caching and storage for MobileApps end points

bearND updated the task description. (Show Details)Jul 29 2015, 11:45 PM
bearND closed this task as Resolved.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 18 2016, 9:48 PM